Ubuntu

Hardy: Flash can't be installed since install_flash_player_9_linux.tar.gz can't be retrieved

Reported by Christoph Langner on 2008-12-03
156
This bug affects 9 people
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Baltix)
Undecided
Unassigned
flashplugin-nonfree (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: flashplugin-nonfree

Inside a brand new installed Hardy Heron Adobe Flash can't be installed via Ubuntu's repositories becaus Adobe took http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz offline. When you try to install flash all you get is

---
$ sudo apt-get install --reinstall flashplugin-nonfree
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 145 not upgraded.
Need to get 0B/18.7kB of archives.
After this operation, 0B of additional disk space will be used.
Do you want to continue [Y/n]? y
Preconfiguring packages ...
(Reading database ... 172876 files and directories currently installed.)
Preparing to replace flashplugin-nonfree 9.0.124.0ubuntu2 (using .../flashplugin-nonfree_9.0.124.0ubuntu2_i386.deb) ...
Unpacking replacement flashplugin-nonfree ...
Setting up flashplugin-nonfree (9.0.124.0ubuntu2) ...
Downloading...
--00:25:35-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 88.221.14.70
Connecting to fpdownload.macromedia.com|88.221.14.70|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
00:25:36 ERROR 404: Not Found.

download failed
The Flash plugin is NOT installed.
---

That's because...

---
$ wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
--00:28:06-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 88.221.14.70
Connecting to fpdownload.macromedia.com|88.221.14.70|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
00:28:06 ERROR 404: Not Found.
---

ProblemType: Bug
Architecture: i386
Date: Thu Dec 4 00:21:53 2008
DistroRelease: Ubuntu 8.04
Package: flashplugin-nonfree 9.0.124.0ubuntu2
PackageArchitecture: i386
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
SourcePackage: flashplugin-nonfree
Uname: Linux 2.6.24-19-generic i686

Christoph Langner (chrissss) wrote :
Quellyn L Snead (quellyn) wrote :

I can confirm this on my system (Ubuntu 8.04, i386).

Tony Yarusso (tonyyarusso) wrote :

Adobe moved the files around on their web server. Where the Flash 9 tarball used to be there is now a Flash 10 tarball (which makes sense as it's in a directory labelled "current"). If we can find where the old tarball was moved to it should be a simple update of the URL; otherwise there will need to be discussion about whether Flash 10 will be in 8.04 now.

Changed in flashplugin-nonfree:
status: New → Confirmed
Christoph Langner (chrissss) wrote :

Adobe offers a archive with outdated versions...

http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14266&sliceId=2

But you've got to download a 130MB large .zip file with all versions of flash9 for all operating systems. If i am asked. Switch to flash10. Less browser crashes, much better user experience...

Robert Schlanstein (r-s-w) wrote :

I'd like to confirm this bug on my system, too.
I'd also like to follow the advice of Christoph Langer in switching to Flash 10, but would prefer to install it via apt-get without needing to activate hardy-backports...

Randy Linnell (ranman) wrote :

Adobe's aware of this and working with Ubuntu (Canonical) to find a more satisfactory solution.

Mantas Kriaučiūnas (mantas) wrote :

Randy Linnell wrote on 2008-12-05:
> Adobe's aware of this and working with Ubuntu (Canonical) to find a more satisfactory solution.

Please tell us about what solution you are talking. I'm main developer of Ubuntu-based distribution and new Baltix operating system users are very unhappy, because they can't install flashplugin :(
I found adobe-flashplugin package (it has newest flashplugin, ver 10.x) in Ubuntu partners repository, but it seems this package doesn't work with Firefox 3.0.3, only with Firefox 3.0.4
I'm thinking about creating "dumb" flashplugin-nonfree package, which depends on adobe-flashplugin package and put both packages in Baltix distribution repository.

Maybe someone can tell if there are any important problems with adobe-flashplugin package or tell me better solution?

Changed in flashplugin-nonfree:
importance: Undecided → High
status: Confirmed → Triaged
aluink (aluink) wrote :

I messed around with this for a good while, and found this. I went to Adobe Labs and downloaded the Flash 10 tarball, and copied the .so file to my FF3.0 plugins folder

http://labs.adobe.com/downloads/flashplayer10.html

Untar the tar.gz file. Then

sudo cp libflashplayer.so /usr/lib/firefox-3.0.4/plugins/

Then I just restarted FF. Hope that helps someone.

$ lsb_release -a
Distributor ID: Ubuntu
Description: Ubuntu 8.04.1
Release: 8.04
Codename: hardy

$ uname -a
Linux europa 2.6.24-22-generic #1 SMP Mon Nov 24 19:35:06 UTC 2008 x86_64 GNU/Linux

Chris Coulson (chrisccoulson) wrote :

Randy - Obviously, a more satisfactory solution would be for Adobe to let Canonical distribute the flash player, but I suspect that probably won't happen.

If I have a copy of the tarball, is there any way to tell the package to use my local copy instead of downloading?

Changed in flashplugin-nonfree:
status: Triaged → Confirmed
Chris Coulson (chrisccoulson) wrote :

Why did you change the status from Triaged to Confirmed?

Changed in flashplugin-nonfree:
status: Confirmed → Triaged

Due to kb406791.

Chris Coulson (chrisccoulson) wrote :

There was no need to change the status though. Please refer to https://wiki.ubuntu.com/Bugs/Status for an explanation of the different statuses.

Triaged: "A member of UbuntuBugControl believes that the report describes a genuine bug in enough detail that a developer could start working on a fix"

houstonbofh (leesharp) wrote :

Another major component of this bug is the poor failure status. If you install from the GUI, there is no error indicating that the package did not install. This also happened when Flash went from 8 to 9, so this part of the bug is very longstanding!

Daniel T Chen (crimsun) wrote :

Please deinstall this package and use adobe-flashplugin from Canonical's partner repository instead.

Changed in flashplugin-nonfree:
importance: High → Low
Gökdeniz Karadağ (gokdeniz) wrote :

adobe-flashplugin is not available for amd64 architecture whereas flashplugin-nonfree is.

Christoph Langner (chrissss) wrote :

@Daniel, this is a really bad idea

1. Books, guides, howtos all over the world describe the installation of Adobe Flash by installing flashplugin-nonfree out of Ubuntu's repositories

2. "Applications -> Add/remove" will install flashplugin-nonfree. This will propably the most common way to install Flash.

3. There is no warning, when you install flashplugin-nonfree, that the installation failed, when you use Synaptic or GAI.

flashplugin-nonfree inside hardy has to be fixed as soon as possible...

Robert Schlanstein (r-s-w) wrote :

"If you install from the GUI, there is no error indicating that the package did not install."

The error ist not pointed out by the pop-up window, but the error itself remains. You can click on "details" to read the same output as the terminal would give.

Robert Schlanstein wrote:
> "If you install from the GUI, there is no error indicating that the
> package did not install."
>
> The error ist not pointed out by the pop-up window, but the error itself
> remains. You can click on "details" to read the same output as the
> terminal would give.

And why would you click on "details" when nothing went wrong as far as
you could tell? More importantly, why would my mother click on
"details" and what would it tell her? Yes, the script outputs an error,
but the package does not.

@Daniel
Gutsy is still supported. (as is Dapper) The .deb from adobe is Hardy
or better. Gutsy is still broken. (as is Dapper)

Robert Schlanstein (r-s-w) wrote :

My mother would not click on "details" but would wonder, why on almost every website, there is an ugly little window indicating, that a plug-in is missing.
By writing, "the error itself remains", I meant, "The Flash plugin is [STILL] NOT installed." Not that there's just a confusing message or something... Weather you're able to read it in the terminal or not; the flashplayer is not installed! Even if the GUI tells you, that the installation has been done, it's not.

So, "[...] why would you click on "details" when nothing went wrong as far as
you could tell?"
I wouldn't...

Oliver Gerlich (ogerlich) wrote :

In addition to the three points mentioned by Christoph, the flashplugin-nonfree package is apparently also installed by ubufox (when installing Flash from inside Firefox).

Troy C (troxor) wrote :

As a workaround, add an entry in /etc/hosts for fpdownload.macromedia.com to a webserver you control. Then, download install_flash_player_9_linux.tar.gz to a directory under your webserver root to satisfy the package's wget command:

http://<Your-Webserver-Here>/get/flashplayer/current/install_flash_player_9_linux.tar.gz

Not quite as simple as aluink's solution (and certainly not adequate for any mothers out there ;) but results in a "cleaner" fix.

Adam Stovicek (arstovicek) wrote :

For a fresh Hardy 64-bit install, with updates and multiverse enabled, you should be able to grab 9.0.152.0ubuntu1~hardy1 which still pulls the binary from the download.macromedia.com location. Or, just grab the deb file from http://packages.ubuntu.com/hardy-updates/flashplugin-nonfree and install that way. I used synaptic to force that version. Afterwards, I had to lock it to prevent it from being updated with the backports version flashplugin-nonfree_10.0.1.218+10.0.0.525ubuntu1~hardy1+really9.0.124.0ubuntu2_amd64 which pulls from the fpdownload.macromedia.com location.

This will prevent me from receiving any automatic updates once things get resolved, but this will have to do until Canonical and Adobe can come to an agreement.

Vikas (ivikasmohan) wrote :

Hello all,
              I have this same problem and that is because this location has changed wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz and so unable to install flash.

The work around to this problem is to get this package install_flash_player_9_linux.tar.gz and install it via terminal.I have attached this tar package.

The following are the steps:

1.open a terminal as root and type
     locate firefox-3.0.7 |grep plugins <return>

This will list two enteries
/usr/lib/firefox-3.0.7/plugins
/usr/lib/firefox-3.0.7/searchplugins --->remember this path EXACTLY /usr/lib/firefox-3.0.7

Here the firefox version is 3.0.7 and so this line firefox-3.0.7 if it is firefox-3.x.x do accordingly after using the locate command.

if you have any doubt regarding the version of firefox,check the version from firefox menu in Help->About Mozilla Firefox and confirm the version.

2.Extract the install_flash_player_9_linux.tar.gz tar package and change(cd) to it from a terminal.

root@solutions-desktop:~/Desktop/install_flash_player_9_linux# ls
flashplayer-installer libflashplayer.so
root@solutions-desktop:~/Desktop/install_flash_player_9_linux#

3.Run the install from the terminal

root@solutions-desktop:~/Desktop/install_flash_player_9_linux# ./flashplayer-installer

Copyright(C) 2002-2006 Adobe Macromedia Software LLC. All rights reserved.

Adobe Flash Player 9 for Linux

Adobe Flash Player 9 will be installed on this machine.

You are running the Adobe Flash Player installer as the "root" user.
Adobe Flash Player 9 will be installed system-wide.

Support is available at http://www.adobe.com/support/flashplayer/

To install Adobe Flash Player 9 now, press ENTER.

To cancel the installation at any time, press Control-C.

NOTE: Please exit any browsers you may have running.

Press ENTER to continue...

Please enter the installation path of the Mozilla, Netscape,
or Opera browser (i.e., /usr/lib/mozilla): /usr/lib/firefox-3.0.7

----------- Install Action Summary -----------

Adobe Flash Player 9 will be installed in the following directory:

Browser installation directory = /usr/lib/firefox-3.0.7

Proceed with the installation? (y/n/q): y

Installation complete.

Perform another installation? (y/n): n

Please log out of this session and log in for the changes to take effect.

The Adobe Flash Player installation is complete.

root@ecsolutions-desktop:~/Desktop/install_flash_player_9_linux#

And you are Done.Please feel free to give any feedbacks.

John Vivirito (gnomefreak) wrote :

We no longer support 9.x version 10 is in Hardy Intrepid and Jaunty.
Gutsy wont see it since it is reaching EOLS

Closing this bug due to reason above

Changed in flashplugin-nonfree (Ubuntu):
status: Triaged → Invalid
Stefan (stefanp) wrote :

It still does not work for hardy-backports:

Unpacking flashplugin-nonfree (from .../flashplugin-nonfree_10.0.1.218+10.0.0.525ubuntu1~hardy1+really9.0.124.0ubuntu2_i386.deb) ...
Setting up flashplugin-nonfree (10.0.1.218+10.0.0.525ubuntu1~hardy1+really9.0.124.0ubuntu2) ...
Downloading...
--20:21:15-- http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
           => `./install_flash_player_9_linux.tar.gz'
Resolving fpdownload.macromedia.com... 88.221.138.70
Connecting to fpdownload.macromedia.com|88.221.138.70|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
20:21:17 ERROR 404: Not Found.

download failed
The Flash plugin is NOT installed.

Besides I cannot see where flashplayer 10 is in hardy.

Erik de Castro Lopo (erikd) wrote :

This is still broken for hardy-backports. Hardy is supposedly the current LTS release.

Matt Hurne (mhurne) wrote :

I have this issue as well. Hardy amd64 with backports repos enabled. Just downgraded from Jaunty today because I was having stability problems, and figured I wouldn't run in to as many problems with an LTS release that's over a year past its initial release. Now I can even easily install the Flash plugin? Really? Very, very disappointing.

Matt Hurne (mhurne) wrote :

*can't*

Javier (javiervalencia80) wrote :

The same issue today (ubuntu hardy 8.04 lts)

Tried installing manually flash 10 with no success. So, cleared the installation and tried to reinstall flashplugin-nonfree from synaptic

Got the 404 not found error while downloading, so now I dont have any flash support in my system

What can I do? Is this a LTS version? This is horribly broken

Hello guys

Install flash player manually.I have written an article on it.It is step by
step(sorry for the formatting,i will do it later).Here's the link

http://blog.easy4solutions.com/technical/latest-flash-player-can-be-installed-on-any-version-of-ubuntu/
Thank You
Vikas

On Fri, Jul 17, 2009 at 2:58 AM, Javier <email address hidden> wrote:

> The same issue today (ubuntu hardy 8.04 lts)
>
> Tried installing manually flash 10 with no success. So, cleared the
> installation and tried to reinstall flashplugin-nonfree from synaptic
>
> Got the 404 not found error while downloading, so now I dont have any
> flash support in my system
>
> What can I do? Is this a LTS version? This is horribly broken
>
> --
> Hardy: Flash can't be installed since install_flash_player_9_linux.tar.gz
> can't be retrieved
> https://bugs.launchpad.net/bugs/304969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Vikas Mohan wrote:

> Install flash player manually.I have written an article on it.It is step by
> step(sorry for the formatting,i will do it later).Here's the link

Yes, of course its easy.

The problem is that Ubuntu has a broken non-functional package its
repository. Ubuntu should either fix the package, remove it or
replace it with a package that says "install flash manually".

Erik
--
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/

Hello erik,
               You are right.But it is very simple thing for the ubuntu
team.All they have to put the latest flash file in their repo and they are
not doing despite the bug reports,so i thought my article will help if other
users doesn't know how to workaround.That's all

I hope the ubuntu team will solve soon

regards
vikas

On Fri, Jul 17, 2009 at 6:11 PM, Erik de Castro Lopo <
<email address hidden> <erikd%<email address hidden>>> wrote:

> Vikas Mohan wrote:
>
> > Install flash player manually.I have written an article on it.It is step
> by
> > step(sorry for the formatting,i will do it later).Here's the link
>
> Yes, of course its easy.
>
> The problem is that Ubuntu has a broken non-functional package its
> repository. Ubuntu should either fix the package, remove it or
> replace it with a package that says "install flash manually".
>
> Erik
> --
> ----------------------------------------------------------------------
> Erik de Castro Lopo
> http://www.mega-nerd.com/
>
> --
> Hardy: Flash can't be installed since install_flash_player_9_linux.tar.gz
> can't be retrieved
> https://bugs.launchpad.net/bugs/304969
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Vikas Mohan wrote:
> Hello erik,
> You are right.But it is very simple thing for the ubuntu
> team.All they have to put the latest flash file in their repo and they are
> not doing despite the bug reports,so i thought my article will help if other
> users doesn't know how to workaround.That's all

We can not put the file in any repo. Part of the license is "no
redistribution" which is why the package downloads it. Yes, it is
silly. Worse yet is that I pointed out this would be a problem again
early in the bug, but it was still fixed in a way where it fails wrong.
  Sigh... A deb from Jaunty should work as well, and no I do not think
this is acceptable.

internetter (internetter) wrote :

This is not an invalid bug. Hardy is still the LTS release. This distribution shipped with the flashplugin-nonfree package. Please alter the package to point to the latest release of Flash 9.

Changed in flashplugin-nonfree (Ubuntu):
status: Invalid → Confirmed
Ben Blout (bdb-new) wrote :

How can this possibly be a low priority bug?
I had a nicely working Hardy system. I uninstalled flash in order to try gnash.
Now I want to switch back to adobe's flash.
I can't.
Four months ago, flash installed just fine, now it does not.
Seems like quite a regression.

Javier (javiervalencia80) wrote :

while developers solve this issue you can install swfdec-mozilla

Not all flash sites will work, but at least youtube will

On Tue, 2009-08-04 at 02:41 +0000, Ben Blout wrote:
> How can this possibly be a low priority bug?
> I had a nicely working Hardy system. I uninstalled flash in order to try gnash.
> Now I want to switch back to adobe's flash.
> I can't.
> Four months ago, flash installed just fine, now it does not.
> Seems like quite a regression.
>

Download full text (3.2 KiB)

Thanks for info. :-)

2009/8/5 Javier <email address hidden>:
> while developers solve this issue you can install swfdec-mozilla
>
> Not all flash sites will work, but at least youtube will
>
>
> On Tue, 2009-08-04 at 02:41 +0000, Ben Blout wrote:
>> How can this possibly be a low priority bug?
>> I had a nicely working Hardy system.  I uninstalled flash in order to try gnash.
>> Now I want to switch back to adobe's flash.
>> I can't.
>> Four months ago, flash installed just fine, now it does not.
>> Seems like quite a regression.
>>
>
> --
> Hardy: Flash can't be installed since install_flash_player_9_linux.tar.gz can't be retrieved
> https://bugs.launchpad.net/bugs/304969
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
> Status in “flashplugin-nonfree” package in Baltix: New
>
> Bug description:
> Binary package hint: flashplugin-nonfree
>
> Inside a brand new installed Hardy Heron Adobe Flash can't be installed via Ubuntu's repositories becaus Adobe took http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz offline. When you try to install flash all you get is
>
> ---
> $ sudo apt-get install --reinstall flashplugin-nonfree
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> 0 upgraded, 0 newly installed, 1 reinstalled, 0 to remove and 145 not upgraded.
> Need to get 0B/18.7kB of archives.
> After this operation, 0B of additional disk space will be used.
> Do you want to continue [Y/n]? y
> Preconfiguring packages ...
> (Reading database ... 172876 files and directories currently installed.)
> Preparing to replace flashplugin-nonfree 9.0.124.0ubuntu2 (using .../flashplugin-nonfree_9.0.124.0ubuntu2_i386.deb) ...
> Unpacking replacement flashplugin-nonfree ...
> Setting up flashplugin-nonfree (9.0.124.0ubuntu2) ...
> Downloading...
> --00:25:35--  http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
>           => `./install_flash_player_9_linux.tar.gz'
> Resolving fpdownload.macromedia.com... 88.221.14.70
> Connecting to fpdownload.macromedia.com|88.221.14.70|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 00:25:36 ERROR 404: Not Found.
>
> download failed
> The Flash plugin is NOT installed.
> ---
>
> That's because...
>
> ---
> $ wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
> --00:28:06--  http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
>           => `install_flash_player_9_linux.tar.gz'
> Resolving fpdownload.macromedia.com... 88.221.14.70
> Connecting to fpdownload.macromedia.com|88.221.14.70|:80... connected.
> HTTP request sent, awaiting response... 404 Not Found
> 00:28:06 ERROR 404: Not Found.
> ---
>
> ProblemType: Bug
> Architecture: i386
> Date: Thu Dec  4 00:21:53 2008
> DistroRelease: Ubuntu 8.04
> Package: flashplugin-nonfree 9.0.124.0ubuntu2
> PackageArchitecture: i386
> ProcEnviron:
>  PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
>  LANG=d...

Read more...

Troy Ready (troyready) wrote :

Approaching a year that this has been broken in the LTS release.

Rather than just complaining, I'll add a thought -- if the only change required to fix this is changing the download URL, can we get that in -proposed asap? Has this already been done?

Iain Buclaw (ibuclaw) wrote :

Yes, it is in the Hardy Multiverse Backports AND the Hardy Partner repositories:

Add, or uncomment the following lines from your /etc/apt/sources.list file:

deb http://archive.canonical.com/ubuntu hardy partner
deb-src http://archive.canonical.com/ubuntu hardy partner

Regards
Iain

Micah Gersten (micahg) wrote :

Fixed a year and a half ago with the following changelog:

flashplugin-nonfree (9.0.152.0ubuntu1~hardy1) hardy-security; urgency=low

  * SECURITY UPDATE: New upstream release 9.0.152.0 (CVE-2008-5499).
    - debian/config, debian/postinst: Update md5sums, filenames, and
      download URL.

 -- Kees Cook <<email address hidden> > Thu, 18 Dec 2008 13:52:32 -0800

Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers